#! /bin/bash

set -e

VERSION="0.1.1"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
git clone https://gitlab.freedesktop.org/emersion/libdisplay-info -b "$VERSION"
cp -rvf ./debian ./libdisplay-info
mv ./libdisplay-info ./display-info
cd ./display-info

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p display-info0_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
